/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.extended.ninepatch;

import com.alee.utils.image.NinePatchInterval;

import java.awt.*;
import java.io.Serializable;
import java.util.List;

/**
 * User: mgarin Date: 26.01.12 Time: 20:40
 */

public class NinePatchInfo implements Serializable
{
    private Dimension imageSize;
    private List<NinePatchInterval> horizontalStretch;
    private List<NinePatchInterval> verticalStretch;
    private Insets margin;

    public NinePatchInfo ()
    {
        super ();
    }

    public Dimension getImageSize ()
    {
        return imageSize;
    }

    public void setImageSize ( Dimension imageSize )
    {
        this.imageSize = imageSize;
    }

    public List<NinePatchInterval> getHorizontalStretch ()
    {
        return horizontalStretch;
    }

    public void setHorizontalStretch ( List<NinePatchInterval> horizontalStretch )
    {
        this.horizontalStretch = horizontalStretch;
    }

    public List<NinePatchInterval> getVerticalStretch ()
    {
        return verticalStretch;
    }

    public void setVerticalStretch ( List<NinePatchInterval> verticalStretch )
    {
        this.verticalStretch = verticalStretch;
    }

    public Insets getMargin ()
    {
        return margin;
    }

    public void setMargin ( Insets margin )
    {
        this.margin = margin;
    }
}