/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.laf.button;

import com.alee.laf.StyleConstants;

import java.awt.*;

/**
 * User: mgarin Date: 11/21/11 Time: 4:53 PM
 */

public final class WebButtonStyle
{
    /*
    * Top background color
    */
    public static Color bgTop = StyleConstants.topBgColor;

    /*
    * Bottom background color
    */
    public static Color bgBottom = StyleConstants.bottomBgColor;

    /*
    * Selected background color
    */
    public static Color selectedBgColor = StyleConstants.selectedBgColor;

    /*
    * Display rollover shine
    */
    public static boolean rolloverShine = true;

    /*
    * Rollover shine color
    */
    public static Color shineColor = StyleConstants.shineColor;

    /*
    * Show dark border only on rollover
    */
    public static boolean rolloverDarkBorderOnly = StyleConstants.rolloverDarkBorderOnly;

    /*
    * Show shade only on rollover
    */
    public static boolean rolloverShadeOnly = StyleConstants.rolloverShadeOnly;

    /*
    * Decoration rounding
    */
    public static int round = StyleConstants.round;

    /*
    * Decoration shade width
    */
    public static int shadeWidth = StyleConstants.shadeWidth;

    /*
    * Shade color
    */
    public static Color shadeColor = StyleConstants.shadeColor;

    /*
    * Inner shade width
    */
    public static int innerShadeWidth = StyleConstants.innerShadeWidth;

    /*
    * Inner shade color
    */
    public static Color innerShadeColor = StyleConstants.innerShadeColor;

    /*
    * Left and right spacing
    */
    public static int leftRightSpacing = StyleConstants.leftRightSpacing;

    /*
    * Make unselected toggle button icon transparent
    */
    public static boolean shadeToggleIcon = StyleConstants.shadeToggleIcon;

    /*
    * Unselected toggle button icon transparency
    */
    public static float shadeToggleIconTransparency = StyleConstants.shadeToggleIconTransparency;

    /*
    * Draw button focus
    */
    public static boolean drawFocus = StyleConstants.drawFocus;

    /*
    * Show button decoration on rollover only
    */
    public static boolean rolloverDecoratedOnly = StyleConstants.rolloverDecoratedOnly;

    /*
    * Animate component
    */
    public static boolean animate = StyleConstants.animate;

    /*
    * Undecorated button
    */
    public static boolean undecorated = StyleConstants.undecorated;
}
