/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.laf.menu;

import com.alee.laf.WebLookAndFeel;
import com.alee.managers.hotkey.HotkeyData;
import com.alee.utils.ReflectionUtils;
import com.alee.utils.SwingUtils;

import javax.swing.*;

/**
 * User: mgarin Date: 19.09.11 Time: 18:42
 */

public class WebRadioButtonMenuItem extends JRadioButtonMenuItem
{
    public WebRadioButtonMenuItem ()
    {
        super ();
    }

    public WebRadioButtonMenuItem ( Action a )
    {
        super ( a );
    }

    public WebRadioButtonMenuItem ( Icon icon )
    {
        super ( icon );
    }

    public WebRadioButtonMenuItem ( Icon icon, boolean selected )
    {
        super ( icon, selected );
    }

    public WebRadioButtonMenuItem ( String text )
    {
        super ( text );
    }

    public WebRadioButtonMenuItem ( String text, Icon icon )
    {
        super ( text, icon );
    }

    public WebRadioButtonMenuItem ( String text, Icon icon, boolean selected )
    {
        super ( text, icon, selected );
    }

    public WebRadioButtonMenuItem ( String text, boolean selected )
    {
        super ( text, selected );
    }

    public void setHotkey ( HotkeyData hotkey )
    {
        SwingUtils.setHotkey ( this, hotkey );
    }

    public WebRadioButtonMenuItemUI getWebUI ()
    {
        return ( WebRadioButtonMenuItemUI ) getUI ();
    }

    public void updateUI ()
    {
        if ( getUI () == null || !( getUI () instanceof WebRadioButtonMenuItemUI ) )
        {
            try
            {
                setUI ( ( WebRadioButtonMenuItemUI ) ReflectionUtils
                        .createInstance ( WebLookAndFeel.radioButtonMenuItemUI ) );
            }
            catch ( Throwable e )
            {
                setUI ( new WebRadioButtonMenuItemUI () );
            }
        }
        else
        {
            setUI ( getUI () );
        }
    }
}
