/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.laf.text;

import com.alee.laf.WebLookAndFeel;
import com.alee.utils.ReflectionUtils;

import javax.swing.*;
import javax.swing.text.StyledDocument;

/**
 * User: mgarin Date: 22.08.11 Time: 12:53
 */

public class WebTextPane extends JTextPane
{
    public WebTextPane ()
    {
        super ();
    }

    public WebTextPane ( StyledDocument doc )
    {
        super ( doc );
    }

    public WebTextPaneUI getWebUI ()
    {
        return ( WebTextPaneUI ) getUI ();
    }

    public void updateUI ()
    {
        if ( getUI () == null || !( getUI () instanceof WebTextPaneUI ) )
        {
            try
            {
                setUI ( ( WebTextPaneUI ) ReflectionUtils
                        .createInstance ( WebLookAndFeel.textPaneUI ) );
            }
            catch ( Throwable e )
            {
                setUI ( new WebTextPaneUI () );
            }
        }
        else
        {
            setUI ( getUI () );
        }
        invalidate ();
    }
}
