/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.managers.settings;

import com.alee.NonObfuscable;
import com.alee.utils.TextUtils;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * User: mgarin Date: 17.10.11 Time: 15:19
 */

public class SettingsGroup implements Serializable, NonObfuscable
{
    private String id = null;
    private String name = null;
    private Map<String, Object> settings = new HashMap<String, Object> ();

    public SettingsGroup ()
    {
        super ();
    }

    public SettingsGroup ( String name )
    {
        super ();
        this.id = TextUtils.generateWebSettingsId ();
        this.name = name;
    }

    public String getId ()
    {
        return id;
    }

    public void setId ( String id )
    {
        this.id = id;
    }

    public String getName ()
    {
        return name;
    }

    public void setName ( String name )
    {
        this.name = name;
    }

    public Map<String, Object> getSettings ()
    {
        return settings;
    }

    public void setSettings ( Map<String, Object> settings )
    {
        this.settings = settings;
    }

    public Object get ( String key )
    {
        return settings.get ( key );
    }

    public Object put ( String key, Object object )
    {
        return settings.put ( key, object );
    }
}
