/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.utils;

import java.util.List;

/**
 * User: mgarin Date: 11/16/11 Time: 6:23 PM
 */

public class CollectionUtils
{
    /*
    * Returns true if both lists has same content
    */

    public static boolean areEqual ( List list1, List list2 )
    {
        if ( list1 == null && list2 == null )
        {
            return true;
        }
        else if ( list1 == null && list2 != null || list1 != null && list2 == null )
        {
            return false;
        }
        else
        {
            if ( list1.size () != list2.size () )
            {
                return false;
            }
            else
            {
                for ( Object object : list1 )
                {
                    if ( !list2.contains ( object ) )
                    {
                        return false;
                    }
                }
                return true;
            }
        }
    }

    /*
    * Converts Integer list to int[] array
    */

    public static int[] toArray ( List<Integer> list )
    {
        int[] array = new int[ list.size () ];
        for ( int i = 0; i < list.size (); i++ )
        {
            Integer integer = list.get ( i );
            array[ i ] = integer != null ? integer : 0;
        }
        return array;
    }
}
