/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.utils.laf;

import javax.swing.*;
import java.awt.*;

/**
 * User: mgarin Date: 19.01.12 Time: 17:23
 */

public class ColorBackgroundPainter extends DefaultBackgroundPainter
{
    private Color color;

    public ColorBackgroundPainter ( Color color )
    {
        super ();
        this.color = color;
    }

    public Color getColor ()
    {
        return color;
    }

    public void setColor ( Color color )
    {
        this.color = color;
    }

    public void paintBackground ( Graphics g, Rectangle bounds, JComponent c )
    {
        if ( color != null )
        {
            g.setColor ( color );
            g.fillRect ( bounds.x, bounds.y, bounds.width, bounds.height );
        }
    }
}
